/**
 * This file adds some LIVE to the Theme Customizer live preview. To leverage
 * this, set your custom settings to 'postMessage' and then add your handling
 * here. Your javascript should grab settings from customizer controls, and 
 * then make any necessary changes to the page using jQuery.
 */
(function ($) {
  // Update the site title in real time...
  wp.customize('blogname', function (value) {
    value.bind(function (newval) {
      $('.logo-text, .blog-title').html(newval);
    });
  });
  //Update the site description in real time...
  wp.customize('blogdescription', function (value) {
    value.bind(function (newval) {
      $('.blog-description').html(newval);
    });
  });
  //Update custom header in real time...
  wp.customize('header_width', function (value) {
    value.bind(function (newval) {
      if (newval == 'narrow') {
        $('.container.header, .blog-header, .header-text').addClass('narrow').removeClass('full-width');
      } else {
        $('.container.header, .blog-header, .header-text').addClass('full-width').removeClass('narrow');
      }
    });
  });
  //Update header text in real time...
  wp.customize('header_textcolor', function (value) {
    value.bind(function (newval) {
      if (newval !== 'blank') {
        $('.blog-header.has-image, .blog-header.no-image').addClass('has-text').removeClass('no-text');
        $('.header-text').addClass('true').removeClass('false');
        $('.header-text, .blog-title, .blog-description').removeClass('hidden');
        $('.blog-title, .blog-description').css('color', newval);
      } 
      else {
        $('.blog-header.has-image, .blog-header.no-image').addClass('no-text').removeClass('has-text');
        $('.header-text').addClass('false').removeClass('true');
        $('.header-text.false.no-image, .blog-title, .blog-description').addClass('hidden');
      }
    });
  });
  wp.customize('has_header_image', function (value) {
    value.bind(function (to) {
      if (true === to) {
        $('.blog-header, .header-text.true, .header-text.false, .blog-description').addClass('has-image').removeClass('no-image');
      } else {
        $('.blog-header, .header-text.true, .header-text.false, .blog-description').addClass('no-image').removeClass('has-image');
      }
    });
  });
  //Update primary color in real time...
  wp.customize('primarycolor', function (value) {
    value.bind(function (newval) {
      $('a:not(nav ul li a, footer .logo-text > a), a:hover:not(.logo-text > a:hover, footer .logo-text > a:hover), a:focus:not(.logo-text > a:focus, footer .logo-text > a:focus), nav ul li a:hover, nav ul li a:focus, nav ul li a.active, .pager > li > a, .hero-btn:hover, .ca-hover:hover .carousel-content h3, .ca-hover:hover .carousel-content p, .next:hover, .prev:hover, .quote-next:hover, .quote-prev:hover').css('color', newval);
      $('.logo, .logo-bg, .hero-title, .button.solid-color, .h2-wrap, .quote-container, .shadow-container').css('background-color', newval);
      $('.ca-hover:hover .av0, .ca-hover:hover .av1, .ca-hover:hover .av2, .ca-hover:hover .av3, .ca-hover:hover .av4, .overlay').css('border-color', newval);
    });
  });
  //Update secondary color in real time...
  wp.customize('secondarycolor', function (value) {
    value.bind(function (newval) {
      $('.logo, .logo-text > a:not(footer .logo-text > a), .logo-text > a:hover:not(footer .logo-text > a:hover), .logo-text > a:focus:not(footer .logo-text > a:focus), .hero-title, .hero-content, .hero-btn, .vert-center, .button.solid-color, .button.extra-color, .standard-block, .quote-slideshow h2, .quote-slideshow figcaption, .quote-slideshow a, .quote-slideshow a:hover, .quote-slideshow a:focus, .next, .prev, .quote-next, .quote-prev').css('color', newval);
      $('.banner.first .dots li.active, .banner.second .dots li.active').css('background-color', newval);
      $('.banner.first .dots li.active, .banner.first .dots li:hover, .banner.first .dots li:focus, .banner.second .dots li:hover, .banner.second .dots li:focus').css('border-color', newval);
    });
  });
  //Update tertiary color in real time...
  wp.customize('tertiarycolor', function (value) {
    value.bind(function (newval) {
      $('.hero-content, .laptop-slider, footer').css('background-color', newval);
    });
  });
  $(document).on('ready', function () {
    $(window).on('resize', function () {
      if ($(window).width() <= 1200) {
        wp.customize('tertiarycolor', function (value) {
          value.bind(function (newval) {
            $('nav li, nav ul li a').css('background-color', newval);
          });
        });
      }
    }).trigger('resize');
  });
  //Update quaternary color in real time...
  wp.customize('button_extracolor', function (value) {
    value.bind(function (newval) {
      $('.button.extra-color:not(.button.extra-color:hover, .button.extra-color:focus)').css('background-color', newval);
    });
  });
  //Update menu text color in real time...
  wp.customize('menu_textcolor', function (value) {
    value.bind(function (newval) {
      $('nav ul li a:not(nav ul li a:hover, nav ul li a:focus, nav ul li a.active)').css('color', newval);
    });
  });
  //Update heading text color in real time...
  wp.customize('heading_textcolor', function (value) {
    value.bind(function (newval) {
      $('.carousel-content h3, .text-inter h3, .text-inter h3 a, .blog-main h1, .blog-main .h1, .blog-main h2, .blog-main .h2, .blog-main h3, .blog-main .h3, .blog-main h4, .blog-main .h4, .blog-main h5, .blog-main .h5, .blog-main h6, .blog-main .h6, .blog-main-left h1, .blog-main-left .h1, .blog-main-left h2, .blog-main-left .h2, .blog-main-left h3, .blog-main-left .h3, .blog-main-left h4, .blog-main-left .h4, .blog-main-left h5, .blog-main-left .h5, .blog-main-left h6, .blog-main-left .h6, .blog-main-right h1, .blog-main-right .h1, .blog-main-right h2, .blog-main-right .h2, .blog-main-right h3, .blog-main-right .h3, .blog-main-right h4, .blog-main-right .h4, .blog-main-right h5, .blog-main-right .h5, .blog-main-right h6, .blog-main-right .h6, .blog-sidebar, .blog-sidebar-left, .blog-sidebar-right').css('color', newval);
    });
  });
  //Update post text color in real time...
  wp.customize('post_textcolor', function (value) {
    value.bind(function (newval) {
      $('.carousel-content p, .text-inter p, .blog-main, .blog-main-left, .blog-main-right, .blog-post-meta, .comment-meta').css('color', newval);
    });
  });
  //Update footer text color in real time...
  wp.customize('footer_textcolor', function (value) {
    value.bind(function (newval) {
      $('footer, footer a, footer .logo-text > a, .footer-links li a').css('color', newval);
    });
  });
  //Update footer hover link color in real time...
  wp.customize('footer_hovercolor', function (value) {
    value.bind(function (newval) {
      $('footer a:hover, footer a:focus, footer .logo-text > a:hover, footer .logo-text > a:focus, .footer-links li a:hover, .footer-links li a:focus').css('color', newval);
    });
  });
  //Update site background color in real time...
  wp.customize('background_color', function (value) {
    value.bind(function (newval) {
      $('body, header, nav, .fa-bars').css('background-color', newval);
      $('.banner.second .dots li.active').css('border-color', newval);
      $('.arrow').css('border-bottom-color', newval);
    });
  });
  //Update header color in real time...
  wp.customize('header_color', function (value) {
    value.bind(function (newval) {
      $('.blog-header').css('background-color', newval);
    });
  });
  //Update sample content display in real time...
  wp.customize('display_samplecontent', function (value) {
    value.bind(function (to) {
      if (true === to) {
        $('.sample-content').css('visibility', 'visible');
      } else {
        $('.sample-content').css('visibility', 'hidden');
      }
    });
  });
  //Update sticky carousel display in real time...
  wp.customize('display_stickycarousel', function (value) {
    value.bind(function (to) {
      if (true === to) {
        $('.banner.first').css('display', 'block');
      } else {
        $('.banner.first').css('display', 'none');
      }
    });
  });
  //Update status carousel display in real time...
  wp.customize('display_statuscarousel', function (value) {
    value.bind(function (to) {
      if (true === to) {
        $('.container.carousel').css('display', 'block');
      } else {
        $('.container.carousel').css('display', 'none');
      }
    });
  });
  //Update aside post(s) display in real time...
  wp.customize('display_asideposts', function (value) {
    value.bind(function (to) {
      if (true === to) {
        $('.text-inter').css('display', 'block');
      } else {
        $('.text-inter').css('display', 'none');
      }
    });
  });
  //Update latest article(s) display in real time...
  wp.customize('display_latestarticles', function (value) {
    value.bind(function (to) {
      if (true === to) {
        $('h2-wrap, container-fluid container-articles').css('display', 'block');
      } else {
        $('h2-wrap, container-fluid container-articles').css('display', 'none');
      }
    });
  });
  //Update laptop slider display in real time...
  wp.customize('display_laptopslider', function (value) {
    value.bind(function (to) {
      if (true === to) {
        $('laptop-slider').css('display', 'block');
      } else {
        $('laptop-slider').css('display', 'none');
      }
    });
  });
  //Update quote slideshow display in real time...
  wp.customize('display_quoteslideshow', function (value) {
    value.bind(function (to) {
      if (true === to) {
        $('quote-container, shadow-container').css('display', 'block');
      } else {
        $('quote-container, shadow-container').css('display', 'none');
      }
    });
  });
  //Change top margin of pull container in real time...
  $('.pullcontainer').css('top', '0');
}) (jQuery);
