<?php
/**
 * Template Name: Up Front Featured Display
 *
 * Description: upfrontwp loves the no-sidebar look as much as
 * you do. Use this page template to remove the sidebar from any page.
 *
 * Tip: to remove the sidebar from all posts and pages simply remove
 * any active widgets from the Main Sidebar area, and the sidebar will
 * disappear everywhere.
 *
 * @package Up_Front_WP
 * @since Up Front WP 1.0
 */

	get_header(); ?>

    <div class="banner first">
    <ul>
		<?php

		  // The Query
		  $sticky = get_option( 'sticky_posts' ); 
		  $args = array(
		    'posts_per_page' => -1,
			'post__in' => $sticky,
			'ignore_sticky_posts' => 1,
		    'post_type' => 'post',
			'orderby' => 'date', 
			'order' => 'DESC',
			'tax_query' => array(
			  array(
			    'taxonomy' => 'post_format',
				'field' => 'slug',
				'terms' => array( 'post-format-aside', 'post-format-image', 'post-format-quote', 'post-format-status' ),
				'operator' => 'NOT IN',
			  ),
		    ),
		  );
		  $the_query = new WP_Query( $args );
		
		  // The Loop
		  if ( $the_query->have_posts() && isset($sticky[0]) ) {
		    while ( $the_query->have_posts() ) { 
			  $the_query->the_post(); ?>
              <?php 
				  if ( has_post_thumbnail() ) {
					$full_image_url = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'full' );
					echo '<li style="background-image: url(\'' . $full_image_url[0] . '\') !important; background-repeat: no-repeat; background-size: cover;">';
				  }
				  else {
					echo '<li>';
				  }
			  ?>
                <div class="container">
                  <div class="row">
                    <div class="col-md-6 col-md-offset-3">
                      <?php if ( get_theme_mod('custom_logo') ) : 
                        $custom_logo_id = get_theme_mod( 'custom_logo' );
                        $image = wp_get_attachment_image_src( $custom_logo_id , 'full' );
                      ?>
                        <div class="logo-image">
                            <a href="<?php echo esc_url( home_url( '/' ) ); ?>"><img src="<?php echo esc_url( $image[0] ); ?>"></a>
                        </div>
                      <?php endif; ?>
                      <div class="hero-title">
                        <?php the_title(); ?>
                      </div>
                      <p class="hero-content"><?php echo get_the_excerpt(); ?></p>
                      <a href="<?php echo esc_url( get_permalink() ); ?>" class="hero-btn"><?php _e( 'LEARN MORE', 'up-front-wp' ); ?></a>
                    </div>
                  </div>
                </div>
              </li>
		    <?php 
		    }
		  }
		  /* Restore original Post Data */
		  wp_reset_postdata();
	    ?>
    </ul>
	</div>
    <div class="container">
    <div class="arrow"></div>
    </div>
    <div class="container carousel">
      <div class="row">

        <div class="banner second">
        <ul>
		<?php

		  // The Query 
		  $args = array(
		    'posts_per_page' => -1,
			'ignore_sticky_posts' => 1,
		    'post_type' => 'post',
			'orderby' => 'date', 
			'tax_query' => array(
			  'relation' => 'OR',
			  array(
			    'taxonomy' => 'category',
			    'field'    => 'slug',
			    'terms'    => array( 'status' ),
			  ),
			  array(
			    'taxonomy' => 'post_format',
			    'field'    => 'slug',
			    'terms'    => array( 'post-format-status' ),
			  ),
		    ),
		  );
		  $the_query = new WP_Query( $args );
		
		  // The Loop
		  if ( $the_query->have_posts() ) {
		    while ( $the_query->have_posts() ) { 
			  $the_query->the_post(); ?>
              <div class="col-md-3">
              <div class="ca-hover">
                <?php 
				  $thumbnail_image_url = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'thumbnail' );
				  if ( has_post_thumbnail() ) {
					$full_image_url = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'full' );
					echo '<div class="carousel-img" style="background-image: url(\'' . $thumbnail_image_url[0] . '\') !important; background-repeat: no-repeat; background-size: cover;"></div>';
				  }
				  else {
					echo '<div class="carousel-img"></div>';
				  } 
				  $user_email = get_the_author_meta('user_email');
				  $grav_url = get_avatar_url( $user_email );
				?>
                <div class="carousel-avatar av0" style="background-image: url('<?php echo esc_url( $grav_url ); ?>');">
                </div>
                <div class="carousel-content">
                  <h3><?php the_title(); ?></h3>
                  <p><?php echo get_the_excerpt(); ?></p>
                </div>
              <a href="<?php echo esc_url( get_permalink() ); ?>"><div class="overlay"></div></a>
              </div>
              </div>
		    <?php 
		    }
		  }
		  /* Restore original Post Data */
		  wp_reset_postdata();
	    ?>
        </ul>
        </div>
      </div>
    </div>
    <div class="text-inter">
    <div class="container">
      <div class="row">
        <?php

		  // The Query 
		  $args = array(
			'posts_per_page' => -1,
			'ignore_sticky_posts' => 1,
			'post_type' => 'post',
			'orderby' => 'comment_count', 
			'order' => 'DESC',
			'tax_query' => array(
			  'relation' => 'OR',
			  array(
			    'taxonomy' => 'category',
			    'field'    => 'slug',
			    'terms'    => array( 'aside' ),
			  ),
			  array(
			    'taxonomy' => 'post_format',
			    'field'    => 'slug',
			    'terms'    => array( 'post-format-aside' ),
			  ),
		    ),
		  );
		  $the_query = new WP_Query( $args );
			
		  // The Loop
		  if ( $the_query->have_posts() ) {
			while ( $the_query->have_posts() ) { 
			  $the_query->the_post(); ?>
				<div class="col-md-6">
                      <h3><a href="<?php echo esc_url( get_permalink() ); ?>"><?php the_title(); ?></a></h3>
				      <p><?php echo get_the_excerpt(); ?></p>
				    <div class="divider"></div>
                    <a href="<?php echo esc_url( get_permalink() ); ?>" class="button aside"><?php _e( 'LEARN MORE', 'up-front-wp' ); ?></a>
				</div>
			  <?php 
			  }
			}
			/* Restore original Post Data */
			wp_reset_postdata();
		  ?>
        </div>  
      </div>
    </div>
    </div>
    <div class="h2-wrap">
      <div class="container">
        <div class="row">
        <div class="col-md-12">
          <h2 class="standard-block"><?php _e( 'LATEST ARTICLES', 'up-front-wp' ); ?></h2>
          </div>
        </div>
      </div>
    </div>
    <div class="container-fluid container-articles">
      <div class="row articles">
        <?php

		  // The Query 
		  $args = array(
		    'posts_per_page' => -1,
			'ignore_sticky_posts' => 1,
		    'post_type' => 'post',
			'orderby' => 'date', 
			'order' => 'DESC',
			'tax_query' => array(
			  array(
			    'taxonomy' => 'post_format',
				'field' => 'slug',
				'terms' => array( 'post-format-aside', 'post-format-image', 'post-format-quote', 'post-format-status' ),
				'operator' => 'NOT IN',
			  ),
		    ),
		  );
		  $the_query = new WP_Query( $args );
		
		  // The Loop
		  if ( $the_query->have_posts() ) {
		    while ( $the_query->have_posts() ) { 
			  $the_query->the_post(); ?>
			  <div class="col-md-2 article-img">
                <?php 
				  if ( has_post_thumbnail() ) {
					$thumbnail_image_url = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'thumbnail' );
					echo '<a href="' . esc_url( get_permalink() ) . '">
							<div class="vert-center">
							  <h3>' . up_front_wp_short_title() . '</h3>
							  <p>' . get_the_date() . '</p>
							</div>
							<img src="' . $thumbnail_image_url[0] . '" />
							<div class="article-overlay"></div></a>';
				  }
				  else {
					echo '<a href="' . esc_url( get_permalink() ) . '">
							<div class="vert-center">
							  <h3>' . up_front_wp_short_title() . '</h3>
							  <p>' . get_the_date() . '</p>
							</div>
							<img src="' . get_template_directory_uri() . '/img/no-src.png" />
							<div class="article-overlay"></div></a>';
				  }
				?>
              </div>
		    <?php 
		    }
		  }
		  /* Restore original Post Data */
		  wp_reset_postdata();
	    ?>
      </div>
    </div>
    <div class="laptop-slider">
      <div class="container">
        <div class="row">
          <div class="col-md-10 col-md-offset-1 laptop-placeholder">
        <div class="slideshow">
		<?php

		  // The Query 
		  $args = array(
		    'posts_per_page' => -1,
			'ignore_sticky_posts' => 1,
		    'post_type' => 'post',
			'orderby' => 'date', 
			'order' => 'DESC',
			'tax_query' => array(
			  'relation' => 'OR',
			  array(
			    'taxonomy' => 'category',
			    'field'    => 'slug',
			    'terms'    => array( 'images', 'videos' ),
			  ),
			  array(
			    'taxonomy' => 'post_format',
			    'field'    => 'slug',
			    'terms'    => array( 'post-format-image', 'post-format-video' ),
			  ),
		    ),
		  );
		  $the_query = new WP_Query( $args );
		
		  // The Loop
		  if ( $the_query->have_posts() ) {
		    while ( $the_query->have_posts() ) { 
			  $the_query->the_post(); ?>
			  <figure>
			    <?php 
				  $args = array( 'post_type' => 'attachment', 'posts_per_page' => 1, 'post_status' =>'any', 'post_parent' => $post->ID ); 
				  $attachments = get_posts( $args );
				  if ( $attachments ) {
				    foreach ( $attachments as $attachment ) {
					  if ( wp_get_attachment_image_src( $attachment->ID ) ) {
						$full_image_url = wp_get_attachment_image_src( $attachment->ID, 'full' );
					    echo wp_get_attachment_link( $attachment->ID, '' , true, false, '<img src="' . get_template_directory_uri() . '/img/slider/laptop.png" style="background-image:url(' . $full_image_url[0] . '); background-repeat: no-repeat; background-position: 50% 25%; background-size: 80% 80%;" />' );
					  } else {
						$full_image_url = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'full' );
					    echo wp_get_attachment_link( $attachment->ID, '' , true, false, '<img src="' . get_template_directory_uri() . '/img/slider/laptop.png" style="background-image:url(' . $full_image_url[0] . '); background-repeat: no-repeat; background-position: 50% 25%; background-size: 80% 80%;" />' );
					  }
					}
				  } else {
					if ( wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ) ) ) {
					  $full_image_url = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'full' );
					  echo '<a href="' . esc_url( get_permalink() ) . '">';
					  echo '<img src="' . get_template_directory_uri() . '/img/slider/laptop.png" style="background-image:url(' . $full_image_url[0] . '); background-repeat: no-repeat; background-position: 50% 25%; background-size: 80% 80%;" />';
					  echo '</a>';
					} else {
					  echo '<a href="' . esc_url( get_permalink() ) . '">';
					  echo '<img src="' . get_template_directory_uri() . '/img/slider/laptop.png" style="background-image:url(' . get_template_directory_uri() . '/img/cms-265126_1280.jpg); background-repeat: no-repeat; background-position: 50% 25%; background-size: 80% 80%;" />';
					  echo '</a>';
					}
				  }
				?>
              </figure>
		    <?php 
		    }
		  }
		  /* Restore original Post Data */
		  wp_reset_postdata();
	    ?>
        <span class="prev"><i class="fa fa-angle-left fa-4x"></i></span>
        <span class="next"><i class="fa fa-angle-right fa-4x"></i></span>
        </div>
        </div>
        <div> 
        </div>
      </div>
    </div>
    </div>
    <div class="quote-container">
      <div class="container">
        <div class="row">
          <div class="col-md-12">
          <div class="col-md-10 col-md-offset-1">
            <div class="quote-slideshow">
              <?php

				// The Query 
			    $args = array(
				  'posts_per_page' => -1,
				  'ignore_sticky_posts' => 1,
				  'post_type' => 'post',
				  'orderby' => 'date', 
				  'order' => 'DESC',
				  'tax_query' => array(
					'relation' => 'OR',
					array(
					  'taxonomy' => 'category',
				      'field'    => 'slug',
					  'terms'    => array( 'quotes' ),
					),
					array(
					  'taxonomy' => 'post_format',
					  'field'    => 'slug',
					  'terms'    => array( 'post-format-quote' ),
					),
				  ),
			    );
				$the_query = new WP_Query( $args );
				
				// The Loop
				if ( $the_query->have_posts() ) {
			      while ( $the_query->have_posts() ) { 
					$the_query->the_post(); ?>
					<figure><h2><?php echo get_the_excerpt(); ?></h2>
					<figcaption>
					  <a href="<?php echo esc_url( get_permalink() ); ?>"><?php the_title(); ?></a>
					</figcaption>
					</figure>
				  <?php 
				  }
				}
				/* Restore original Post Data */
				wp_reset_postdata();
			  ?>
            </div>
            </div>
            <span class="quote-prev circle"><i class="fa fa-angle-left fa-2x"></i></span>
            <span class="quote-next circle"><i class="fa fa-angle-right fa-2x"></i></span>
          </div>
        </div>
      </div>
    </div>
    <div class="shadow-container">
      <div class="shadow"></div>
    </div>
	<?php 
get_footer(); ?>
